        private void backgroundWorkerPopulareSenzori_DoWork(object sender, DoWorkEventArgs e)
        {
            //string serialPort = ConfigurationManager.AppSettings["serialPort"];
            string serialPort = "COM2";
            using (SerialPort masterPort = new SerialPort(serialPort))
            {
                // configure serial port
                masterPort.BaudRate = 9600;
                masterPort.DataBits = 8;
                masterPort.Parity = Parity.None;
                masterPort.StopBits = StopBits.One;
                masterPort.Open();

                // creare dispozitiv modbus master
                IModbusSerialMaster master = ModbusSerialMaster.CreateRtu(masterPort);
                byte slaveID = 1;
                ushort startAddress = 01;
                ushort register = 1 ;
                master.Transport.Retries = 0;
		
		// scriere registru
                ushort[] response = master.ReadHoldingRegisters(slaveID, startAddress, register);
                Console.WriteLine(response);
                masterPort.Close();
            }
        }