data  segment

;transmisie seriala intre doua PCuri folosind intreruperea 14H

; programul preia un caracter de la tastatura si il
; trimite prin portul serial COM1 la celalat calculator
; calculatorul receptor il receptioneaza si il tipareste
; la tastarea tastei ESC programul se termina
; fiecare calculator poate fi si emitator si receptor

MESAJ DB 'Comunicatie seriala prin COM1,4800,fara Par,1 Stop, 8 Bit',0AH,0DH
      DB 'TASTATI O TASTA PENTRU A TRIMITE CARACTERUL LA CELALAT PC',0AH,0DH
      DB 'TASTATI TASTA ESC PENTRU TERMINARE PROGRAM', '$'    
data  ends

code  segment
assume cs:code, ds:data

START:
MOV AX,DATA;
MOV DS,AX

MOV AH,09
MOV AX, OFFSET MESAJ
INT 21H ; TIPARIRE MESAJ

; URMEAZA INITIALIZAREA COM2:

MOV AH,0	 ; FUNCTIA INITIALIZARE
MOV DX,0 	 ;COM1
MOV AL,0C3H 	 ;PARAMETRI: 4800, FARA PAR, 1 BIT STOP, 8 BIT DATE
INT 14H
 
; SE VERIFICA APASATREA UNEI TASTE SI SE TRIMITE LA COM2 PENTRU TRANSFER

CICLU:  MOV AH,01; SE VERIFICA TASTAREA UTILIZIND INT 16H CU AH 01
	INT 16H; DACA FLAGUL Z=1, NU A FOST APASATA O TASTA
	JZ VER_COM ; DACA NU A FOST TASTATA SE VERIFICA PORTUL COM1
	MOV AH,0 ; DACA A FOST TASTATA SE PREIA
	INT 16H  ; INT16 H TREBuIE  APLICAT A DOUA OARA CU AH=0 PENTRU
		 ; OBTINEREA CARACTERULUI. AL= CARACTERUL ASCII TASTAT
	CMP AL,1BH ; A FOST TASTAT ESC ?
     	JE IESIRE ; DACA DA, SE SARE LA IESIRE DIN PROGRAM

	MOV AH,1 ;DACA NU, SE VA TRIMITE CARACTERUL LA PORTUL COM1
	MOV DX,0
	INT 14H	

	;SE VERIFICA PORTUL COM1  DACA ESTE UN CARACTER
	; DACA DA,SE PREIA SI SE AFISEAZA
VER_COM:MOV AH,03
	MOV DX,0
	INT 14H
	AND AH,01; SE SELECTEAZA PENTRU TEST NUMAI BITUL D0
	CMP AH,01; SE VERIFICA D0 PENTRU A VEDEA DACA ESTE UN CARACTER
	JNE CICLU; DACA NU E DATA, SE REVINE LA CICLU PENTRU MONITORIZAREA
		   ; TASTATURII
	MOV AH,02 ;DACA DA, COM1 ARE DATA: SE EXTRAGE 
	MOV DX,0
	INT 14H  ; SE PREIA CARACTERUL IN AL

	MOV DL,AL ; SI SEVA AFISA PE DISPLAY, UTILIZIND FUNCTIA DOS INT21H
	MOV AH,02  ; DE AFISARE CARACTER
	INT 21H

	JMP CICLU ; SE REIA CICLUL DE MONITORIZARE TASTATURA

IESIRE: MOV AH,4CH	; terminare program
	INT 21H

CODE 	ENDS
END	START
	


